Plot HomeDocumentation
Documents

List Documents

Retrieves a paginated list of documents for a team

GET
/v1/documents/list

Retrieves a paginated list of documents for a team

Query Parameters

teamId*string

Filter by team ID (required)

Formatuuid
includeDeleted?string

Include soft-deleted documents

Value in"true" | "false"
includeTotal?string

Include total count in response. Consider omitting for subsequent page loads to improve performance.

Value in"true" | "false"
includeMarkdown?string

Include description.markdown field. Omit for better performance when markdown is not needed.

Value in"true" | "false"
expand?|||array<>

Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (team)

Default"all"
cursor?string

Cursor for pagination

offset?|

Offset for pagination

Range0 <= value
limit?integer

Number of results to return (max 100)

Default50
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://example.com/v1/documents/list?teamId=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "publicId": "string",      "name": "string",      "slug": "string",      "visibility": "string",      "createdById": "string",      "lastEditedById": "string",      "lastEditedAt": "2019-08-24T14:15:22Z",      "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",      "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "deletedById": "string",      "description": {        "html": "string",        "markdown": "string"      },      "team": {        "id": "string",        "name": "string",        "publicId": "str"      }    }  ],  "nextCursor": "string",  "hasMore": true,  "total": 0}